> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Devices Hp Current Telemetry

> Get the current telemetry data of a specific device or group of devices of a user.
If a device has `has_delayed_power_data_1d` equal to `True`,
it means that the power data only gets updated once a day between 2-4 AM UTC for the full previous day.
Meaning we cannot provide real time power data and their value will be None.
It is possible that the `dhw_temp` and `room_temp` values are `None` if the device 
does not contain this data or controls for it.



## OpenAPI

````yaml /api-docs/full-control/openapi-full-control.json get /v1/devices/telemetry/current
openapi: 3.1.0
info:
  title: NOX Energy API - Full Control
  description: >
    # Full Control API Documentation


    This documentation shows only the endpoints available to full control users.


    ## Authentication


    1. Get your API key from [NOX Energy](mailto:support@nox.energy).

    2. Include the API key in your API calls with the header: `x-api-key:
    YOUR_API_KEY`.


    ## Access Level


    This documentation is specifically for **full control users** who have
    access to these endpoints.


    Base URL: [https://api.nox.energy](https://api.nox.energy)
  version: 1.0.0
servers:
  - url: https://api.nox.energy
    description: Production Server
security:
  - ApiKeyAuth: []
tags:
  - name: Asset Info
    description: API to get basic information about your assets.
  - name: Device Consumption
    description: API to get consumption data of your devices.
  - name: User Management
    description: API endpoints to manage users and their data.
paths:
  /v1/devices/telemetry/current:
    get:
      tags:
        - Asset Info
      summary: Get Devices Hp Current Telemetry
      description: >-
        Get the current telemetry data of a specific device or group of devices
        of a user.

        If a device has `has_delayed_power_data_1d` equal to `True`,

        it means that the power data only gets updated once a day between 2-4 AM
        UTC for the full previous day.

        Meaning we cannot provide real time power data and their value will be
        None.

        It is possible that the `dhw_temp` and `room_temp` values are `None` if
        the device 

        does not contain this data or controls for it.
      operationId: get_devices_hp_current_telemetry_v1_devices_telemetry_current_get
      parameters:
        - name: device_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >

              The ID of the device to filter on. If not provided, all devices
              are returned.
            title: Device Id
          description: >

            The ID of the device to filter on. If not provided, all devices are
            returned.
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >

              The ID of the user to filter on. If not provided, all users are
              returned.
            title: User Id
          description: >

            The ID of the user to filter on. If not provided, all users are
            returned.
      responses:
        '200':
          description: Successful response for get hp current telemetry endpoint.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HPTelemetryCurrentResponse'
              example:
                data:
                  - device_id: device_id_123
                    room_temp: 20
                    dhw_temp: 45
                    power: 0.03
                    has_delayed_power_data_1d: false
                    updated_at: '2026-04-17T09:27:09.224000+00:00'
                  - device_id: device_id_456
                    room_temp: 21
                    dhw_temp: 54
                    power: 1.3
                    has_delayed_power_data_1d: false
                    updated_at: '2026-04-17T09:27:09.224000+00:00'
                meta:
                  energy_supplier: Energy Supplier A
                  temperature_unit: °C
                  power_unit: kW
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HPTelemetryCurrentResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/HPTelemetryDataItem'
          type: array
          title: Data
          description: List of telemetry data items
        meta:
          $ref: '#/components/schemas/HPTelemetryMeta'
          description: Metadata for the telemetry response
      type: object
      required:
        - data
        - meta
      title: HPTelemetryCurrentResponse
      description: Model for the complete telemetry current response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HPTelemetryDataItem:
      properties:
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
          description: Unique identifier for the device
        room_temp:
          anyOf:
            - type: number
            - type: 'null'
          title: Room Temp
          description: Current room temperature
        dhw_temp:
          anyOf:
            - type: number
            - type: 'null'
          title: Dhw Temp
          description: Domestic hot water temperature
        power:
          anyOf:
            - type: number
            - type: 'null'
          title: Power
          description: Current power consumption
        has_delayed_power_data_1d:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Delayed Power Data 1D
          description: Whether this device has delayed power data.
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
          description: Timestamp when the telemetry data was last updated
      type: object
      title: HPTelemetryDataItem
      description: Model for individual telemetry data item.
    HPTelemetryMeta:
      properties:
        energy_supplier:
          type: string
          title: Energy Supplier
          description: Name of the energy supplier
        temperature_unit:
          type: string
          title: Temperature Unit
          description: Unit of temperature measurement
        power_unit:
          type: string
          title: Power Unit
          description: Unit of power measurement
      type: object
      required:
        - energy_supplier
        - temperature_unit
        - power_unit
      title: HPTelemetryMeta
      description: Model for telemetry metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 'API Key authentication. Enter your API key in the format: YOUR_API_KEY'

````